<?php

namespace App\Media\MSVideo\Containers;

/*
 * https://netghost.narod.ru/gff/graphics/summary/micriff.htm
 *
 * One other type of chunk that is commonly encountered in an AVI chunk is the padding or JUNK chunk (so named
 * because its chunk identifier is JUNK). This chunk is used to pad data out to specific boundaries (for example,
 * CD-ROMs use 2048-byte boundaries). The size of the chunk is the number of bytes of padding it contains. If you are
 * reading AVI data, do not use use the data in the JUNK chunk. Skip it when reading and preserve it when writing.
 */

use App\Media\MSVideo\Container;

class junk extends Container
{
	public function __construct(int $offset,int $size,string $filename,bool $be,?string $data)
	{
		parent::__construct($offset,$size,$filename,$be,$data);

		// For debugging
		if (FALSE)
			$this->debug = hex_dump($data ?: $this->data());
	}
}